/* Activadores */
.inet-table-quick  { cursor: pointer; }
.inet-table-action { cursor: pointer; }
.inet-table-link   { cursor: pointer; }
.inet-table-ibox   { cursor: pointer; }
.inet-link         { cursor: pointer; }

.inet-table-quick:hover { color: var(--item-hover-ico); }
.inet-table-link:hover  { color: var(--item-hover-ico); }
.inet-table-ibox:hover  { color: var(--item-hover-ico); }

/* CSS */
.as-link {
 text-decoration: none;
 position: relative;
 display: inline-block;
 color: #000;
 opacity: 0.7;
}

.as-btn-social { /* Botones Social Media */
 height: 28px !important;
 width:  28px !important;
}

.as-btn-social > i {
 font-size: 1.1rem !important;
}

.cursor-no {
 cursor:none !important;
}

.cursor-si {
 cursor:default !important;
}

.cursor-ayuda {
 cursor:help !important;
}

.cursor-dedo {
 cursor:pointer !important;
}

.selec-no {
/* Evita la selección de texto */
  -webkit-touch-callout: none; /* iOS Safari */
   -webkit-user-select:  none; /* Safari */
    -khtml-user-select:  none; /* Konqueror HTML */
      -moz-user-select:  none; /* Old versions of Firefox */
       -ms-user-select:  none; /* Internet Explorer/Edge */
           user-select:  none; /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

.selec-si {
/* Permite la selección de texto */
  -webkit-touch-callout: text; /* iOS Safari */
   -webkit-user-select:  text; /* Safari */
    -khtml-user-select:  text; /* Konqueror HTML */
      -moz-user-select:  text; /* Old versions of Firefox */
       -ms-user-select:  text; /* Internet Explorer/Edge */
           user-select:  text; /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

.selec-all {
/* Permite la selección de todo el texto o nada */
  -webkit-touch-callout: text; /* No soportado: iOS Safari */
   -webkit-user-select:  text; /* No soportado: Safari */
    -khtml-user-select:  all;  /* Konqueror HTML */
      -moz-user-select:  all;  /* Old versions of Firefox */
       -ms-user-select:  element; /* Internet Explorer/Edge */
           user-select:  all;  /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}

.text-consolas {
 font-family: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
}

.text-leyenda {
 color:#8399ff;
}

/* Puntos suspensivos */
.text-etc {
 text-overflow: ellipsis;
 white-space: nowrap;
 overflow: hidden; 
 cursor: help; 
 }

.text-puntos {
 text-overflow: ellipsis; 
 white-space: nowrap;
 overflow: hidden; 
}

.widget-bg-light {
 background-color: #f9fdff;
 border-radius: 0.42rem;
 }

.widget-bg-dark {
 background-color: #44474a;  
 }

.widget-border {
 border-color: #eaeef2;
 border-width: 1px;
 border-style: solid;
 border-radius: 0.42rem;
 }


/* SCROLLBAR Forzamos su aparición para evitar desplazamientos */   
   html {
   overflow-y: scroll;   
   }

/* SCROLLBAR Width */
::-webkit-scrollbar {
   width: 8px;
   height: 8px;
   }

/* SCROLLBAR Track */
::-webkit-scrollbar-track {
   background: #f7f8fa;    
   }
 
/* SCROLLBAR Handle */
::-webkit-scrollbar-thumb {
   background: #9ea5cf; 
   border-radius: 8px;
   }

/* SCROLLBAR Handle on hover */
::-webkit-scrollbar-thumb:hover {
   background: #848aae; 
   border-radius: 8px;
   }

/* CHAT */
  .as-chat {

   scrollbar-color: rgba(160, 150, 200, .5) rgba(160, 150, 200, 0); /* Firefox */
   scrollbar-width: thin; /* Firefox */

   background-image: url('../../img/xtra/chat-bg.jpg'); 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
   background-size: cover;
   background-repeat: no-repeat;
   background-position: center;
}

.avatar > div { 
 background-color: #efeff0 !important;
}

.avatar-table-ico > span {
 height: 32px;
 width: 32px;
 margin: 6px;
 background-color: #e7e7ef;
 border-radius: .32rem;
}

.avatar-table-ico > span {
 height: 32px;
 width: 32px;
 text-align: center;
 padding-top: 2px;
}

.avatar-table-img {
 height: 32px;
 width: 32px; 
 margin: 6px;
 border-radius: 0.32rem;
 background-repeat: no-repeat;
 background-size: 32px 32px;
}

.avatar-card {
 width: 35px;
 padding: 0px;
 margin: 0px 10px 0px 0px;
}

.avatar-card > div {
 height:32px;
 width:34px;
 padding: 3px 3px 3px 3px;
 background-color: #e7e7ef;
}

.card.card-custom > .card-header {
 min-height: 62px;
}

.card-header, .card-body {
 padding: 1.5rem 1.5rem;
}